# ThreadMutex_pthread Class Reference

POSIX pthread version of ThreadMutex. More...

Inheritance diagram for ThreadMutex_pthread:

## Public Member Functions
void | BeginCritical ()
| Begin the critical section.
void | EndCritical ()
| End of the critical section.
void | WaitForSignal ()
| Wait for a signal to be send.
void | SendSignal ()
| Send a signal and wake the 'thread' that was waiting for it.
## Private Attributes
pthread_mutex_t | mutex
pthread_cond_t | condition
pthread_mutexattr_t | attr

## Detailed Description

POSIX pthread version of ThreadMutex.

Definition at line 96 of file thread_pthread.cpp.

## Member Function Documentation

void ThreadMutex_pthread::WaitForSignal | ( |  | ) | `[inline, virtual]`

Wait for a signal to be send.

Precondition:
  You must be in the critical section.

Note:
  While waiting the critical section is left.

Postcondition:
  You will be in the critical section.

Implements ThreadMutex.

Definition at line 131 of file thread_pthread.cpp.

The documentation for this class was generated from the following file:

- src/thread/thread_pthread.cpp